org.apache.tapestry5.dom

## Enum EndTagStyle

- java.lang.Object
- - java.lang.Enum<EndTagStyle>
  - - org.apache.tapestry5.dom.EndTagStyle

- All Implemented Interfaces:
    Serializable, Comparable<EndTagStyle>

      public enum EndTagStyle
      extends Enum<EndTagStyle>

  Part of a `MarkupModel`, used to define how end tags are handled when the `Document` in rendered out as a text stream.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABBREVIATE` Require an end tag, but abbreviate it if the element has no children.
    `REQUIRE` Require an end tag always.
    `VOID` No end tags for HTML5 compatibility.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EndTagStyle` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EndTagStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REQUIRE

          public static final EndTagStyle REQUIRE

      Require an end tag always. This is the default for most elements in HTML.

    - #### ABBREVIATE

          public static final EndTagStyle ABBREVIATE

      Require an end tag, but abbreviate it if the element has no children. This is the only value that should be used in XML documents, but `DefaultMarkupModel` forces most tags to use `REQUIRE` for semi-obscure browser compatibility issues.

    - #### VOID

          public static final EndTagStyle VOID

      No end tags for HTML5 compatibility.

  - ### Method Detail

    - #### values

          public static EndTagStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EndTagStyle c : EndTagStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EndTagStyle valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

5.6.1 - Copyright © 2003-2020 The Apache Software Foundation.